| optoICC

Loading...
Searching...
No Matches
optoICC.registers.icc_registers.LensCompensation Class Reference
Inheritance diagram for optoICC.registers.icc_registers.LensCompensation:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
| GetCurrent (self)
| Gets actual current.
| GetDiopter (self)
| Gets actual diopter.
| GetFilterCoefficent_a (self)
| GetFilterCoefficent_b (self)
| GetXv_creepCompensation_act (self)
| GetXv_creepCompensation_old (self)
| GetYv_creepCompensation_act (self)
| GetYv_creepCompensation_old (self)
| GetGain_Variable (self)
| SetGain_Variable (self, value)
| GetCreepCompensation (self)
| GetPart_config (self)
| SetPart_config (self, value)
| GetDrift_value (self)
| GetMinYellowFlag_value (self)
| GetMaxYellowFlag_value (self)
| GetMinRedFlag_value (self)
| GetMaxRedFlag_value (self)
| GetMinScrollFlag_value (self)
| GetMaxScrollFlag_value (self)
| GetMaxDiopter (self)
| GetMinDiopter (self)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0xC8 | channel
dict | diopter
dict | current
dict | filtercoefficent_a
dict | filtercoefficent_b
dict | xv_creepcompensation_act
dict | xv_creepcompensation_old
dict | yv_creepcompensation_act
dict | yv_creepcompensation_old
dict | Gain_Variable
dict | creepcompensation
dict | part_config
dict | drift_value
dict | min_lim_yellow
dict | max_lim_yellow
dict | min_lim_red
dict | max_lim_red
dict | min_lim_scroll
dict | max_lim_scroll
dict | min_gua_temperature
dict | max_gua_temperature
| name = self.__class__.__name__

## Static Protected Attributes
bool | _is_a_system = True

## Detailed Description

    /*
    * \page LensCompensation Lens Compensation
    *
    * Lens compensation system ID : <b>0xC8</b>
    *
    * ### Register Map:
    *
    *  | Address | Name                         | Default Value | Description                      | Type   |  Access
    *  | --------|------------------------------|---------------|----------------------------------|------- | --------
    *  0xC[8-F]00 | diopter                     | 0.0           | diopter                          | float  | read only
    *  0xC[8-F]01 | current                     | 0.0           | output current                   | float  | read only
    *  0xC[8-F]02 | filtercoefficent_a          | 0.0           | filtercoefficent_a               | float  | read only
    *  0xC[8-F]03 | filtercoefficent_b          | 0.0           | filtercoefficent_b               | float  | read only
    *  0xC[8-F]04 | xv_creepcompensation_act    | 0.0           | xv_creepcompensation_act         | float  | read only
    *  0xC[8-F]05 | xv_creepcompensation_old    | 0.0           | xv_creepcompensation_old         | float  | read only
    *  0xC[8-F]06 | yv_creepcompensation_act    | 0.0           | yv_creepcompensation_act         | float  | read only
    *  0xC[8-F]07 | yv_creepcompensation_old    | 0.0           | yv_creepcompensation_old         | float  | read only
    *  0xC[8-F]08 | Gain_Variable               | 1             | Gain_Variable                    | float  | read only
    *  0xC[8-F]09 | creepcompensation           | 0.0           | creepcompensation                | float  | read only
    *  0xC[8-F]0A | part_config                 | 0             | part_config                      | float  | read write
    *  0xC[8-F]0B | driftValue                   | 0.0           | driftValue                       | float  | read only
    *  0xC[8-F]0C | minLimitForYellowFlag        | 0.0           | min Limit For Yellow Flag        | float  | read only
    *  0xC[8-F]0D | maxLimitForYellowFlag        | 0.0           | max Limit For Yellow Flag        | float  | read only
    *  0xC[8-F]0E | minLimitForRedFlag           | 0.0           | min Limit For Red Flag           | float  | read only
    *  0xC[8-F]0F | maxLimitForRedFlag           | 0.0           | max Limit For Red Flag           | float  | read only
    *  0xC[8-F]10 | minLimitForScrollFlag        | 0.0           | min Limit For Scroll Flag        | float  | read only
    *  0xC[8-F]11 | maxLimitForScrollFlag        | 0.0           | max Limit For Scroll Flag        | float  | read only
    *  0xC[8-F]12 | minGuaranteedTemperature     | 0.0           | min guaranteed Temperature       | float  | read write
    *  0xC[8-F]13 | maxGuaranteedTemperature     | 0.0           | max guaranteed Temperature       | float  | read write
    */

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.registers.icc_registers.LensCompensation.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

## Member Function Documentation

## ◆ help()

optoICC.registers.icc_registers.LensCompensation.help | ( |  | ) |
| static

## ◆ GetCurrent()

optoICC.registers.icc_registers.LensCompensation.GetCurrent | ( |  | self | ) |

Gets actual current.

## ◆ GetDiopter()

optoICC.registers.icc_registers.LensCompensation.GetDiopter | ( |  | self | ) |

Gets actual diopter.

## ◆ GetFilterCoefficent_a()

optoICC.registers.icc_registers.LensCompensation.GetFilterCoefficent_a | ( |  | self | ) |

## ◆ GetFilterCoefficent_b()

optoICC.registers.icc_registers.LensCompensation.GetFilterCoefficent_b | ( |  | self | ) |

## ◆ GetXv_creepCompensation_act()

optoICC.registers.icc_registers.LensCompensation.GetXv_creepCompensation_act | ( |  | self | ) |

## ◆ GetXv_creepCompensation_old()

optoICC.registers.icc_registers.LensCompensation.GetXv_creepCompensation_old | ( |  | self | ) |

## ◆ GetYv_creepCompensation_act()

optoICC.registers.icc_registers.LensCompensation.GetYv_creepCompensation_act | ( |  | self | ) |

## ◆ GetYv_creepCompensation_old()

optoICC.registers.icc_registers.LensCompensation.GetYv_creepCompensation_old | ( |  | self | ) |

## ◆ GetGain_Variable()

optoICC.registers.icc_registers.LensCompensation.GetGain_Variable | ( |  | self | ) |

## ◆ SetGain_Variable()

optoICC.registers.icc_registers.LensCompensation.SetGain_Variable | ( |  | self,
|  |  | value )

## ◆ GetCreepCompensation()

optoICC.registers.icc_registers.LensCompensation.GetCreepCompensation | ( |  | self | ) |

## ◆ GetPart_config()

optoICC.registers.icc_registers.LensCompensation.GetPart_config | ( |  | self | ) |

## ◆ SetPart_config()

optoICC.registers.icc_registers.LensCompensation.SetPart_config | ( |  | self,
|  |  | value )

## ◆ GetDrift_value()

optoICC.registers.icc_registers.LensCompensation.GetDrift_value | ( |  | self | ) |

## ◆ GetMinYellowFlag_value()

optoICC.registers.icc_registers.LensCompensation.GetMinYellowFlag_value | ( |  | self | ) |

## ◆ GetMaxYellowFlag_value()

optoICC.registers.icc_registers.LensCompensation.GetMaxYellowFlag_value | ( |  | self | ) |

## ◆ GetMinRedFlag_value()

optoICC.registers.icc_registers.LensCompensation.GetMinRedFlag_value | ( |  | self | ) |

## ◆ GetMaxRedFlag_value()

optoICC.registers.icc_registers.LensCompensation.GetMaxRedFlag_value | ( |  | self | ) |

## ◆ GetMinScrollFlag_value()

optoICC.registers.icc_registers.LensCompensation.GetMinScrollFlag_value | ( |  | self | ) |

## ◆ GetMaxScrollFlag_value()

optoICC.registers.icc_registers.LensCompensation.GetMaxScrollFlag_value | ( |  | self | ) |

## ◆ GetMaxDiopter()

optoICC.registers.icc_registers.LensCompensation.GetMaxDiopter | ( |  | self | ) |

## ◆ GetMinDiopter()

optoICC.registers.icc_registers.LensCompensation.GetMinDiopter | ( |  | self | ) |

## Member Data Documentation

## ◆ _is_a_system

bool optoICC.registers.icc_registers.LensCompensation._is_a_system = True
| static protected

## ◆ sys_id

int optoICC.registers.icc_registers.LensCompensation.sys_id = 0xC8 | channel

## ◆ diopter

dict optoICC.registers.icc_registers.LensCompensation.diopter

Initial value:
= {'id': self.sys_id << 8 | 0x00, 'type': float, 'unit': None, 'range': None, 'default':
None, 'value': None}

## ◆ current

dict optoICC.registers.icc_registers.LensCompensation.current

Initial value:
= {'id': self.sys_id << 8 | 0x01, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ filtercoefficent_a

dict optoICC.registers.icc_registers.LensCompensation.filtercoefficent_a

Initial value:
= {'id': self.sys_id << 8 | 0x02, 'type': float, 'unit': None, 'range': None,
'default': None, 'value': None}

## ◆ filtercoefficent_b

dict optoICC.registers.icc_registers.LensCompensation.filtercoefficent_b

Initial value:
= {'id': self.sys_id << 8 | 0x03, 'type': float, 'unit': None, 'range': None,
'default': None, 'value': None}

## ◆ xv_creepcompensation_act

dict optoICC.registers.icc_registers.LensCompensation.xv_creepcompensation_act

Initial value:
= {'id': self.sys_id << 8 | 0x04, 'type': float, 'unit': None, 'range': None,
'default': None, 'value': None}

## ◆ xv_creepcompensation_old

dict optoICC.registers.icc_registers.LensCompensation.xv_creepcompensation_old

Initial value:
= {'id': self.sys_id << 8 | 0x05, 'type': float, 'unit': None, 'range': None,
'default': None, 'value': None}

## ◆ yv_creepcompensation_act

dict optoICC.registers.icc_registers.LensCompensation.yv_creepcompensation_act

Initial value:
= {'id': self.sys_id << 8 | 0x06, 'type': float, 'unit': None, 'range': None,
'default': None, 'value': None}

## ◆ yv_creepcompensation_old

dict optoICC.registers.icc_registers.LensCompensation.yv_creepcompensation_old

Initial value:
= {'id': self.sys_id << 8 | 0x07, 'type': float, 'unit': None, 'range': None,
'default': None, 'value': None}

## ◆ Gain_Variable

dict optoICC.registers.icc_registers.LensCompensation.Gain_Variable

Initial value:
= {'id': self.sys_id << 8 | 0x08, 'type': float, 'unit': None, 'range': None, 'default':
None, 'value': None}

## ◆ creepcompensation

dict optoICC.registers.icc_registers.LensCompensation.creepcompensation

Initial value:
= {'id': self.sys_id << 8 | 0x09, 'type': float, 'unit': None, 'range': None,
'default': None, 'value': None}

## ◆ part_config

dict optoICC.registers.icc_registers.LensCompensation.part_config

Initial value:
= {'id': self.sys_id << 8 | 0x0A, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ drift_value

dict optoICC.registers.icc_registers.LensCompensation.drift_value

Initial value:
= {'id': self.sys_id << 8 | 0x0B, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ min_lim_yellow

dict optoICC.registers.icc_registers.LensCompensation.min_lim_yellow

Initial value:
= {'id': self.sys_id << 8 | 0x0C, 'type': float, 'unit': None, 'range': None,
'default': None,
'value': None}

## ◆ max_lim_yellow

dict optoICC.registers.icc_registers.LensCompensation.max_lim_yellow

Initial value:
= {'id': self.sys_id << 8 | 0x0D, 'type': float, 'unit': None, 'range': None,
'default': None,
'value': None}

## ◆ min_lim_red

dict optoICC.registers.icc_registers.LensCompensation.min_lim_red

Initial value:
= {'id': self.sys_id << 8 | 0x0E, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ max_lim_red

dict optoICC.registers.icc_registers.LensCompensation.max_lim_red

Initial value:
= {'id': self.sys_id << 8 | 0x0F, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ min_lim_scroll

dict optoICC.registers.icc_registers.LensCompensation.min_lim_scroll

Initial value:
= {'id': self.sys_id << 8 | 0x10, 'type': float, 'unit': None, 'range': None,
'default': None,
'value': None}

## ◆ max_lim_scroll

dict optoICC.registers.icc_registers.LensCompensation.max_lim_scroll

Initial value:
= {'id': self.sys_id << 8 | 0x11, 'type': float, 'unit': None, 'range': None,
'default': None,
'value': None}

## ◆ min_gua_temperature

dict optoICC.registers.icc_registers.LensCompensation.min_gua_temperature

Initial value:
= {'id': self.sys_id << 8 | 0x12, 'type': float, 'unit': None, 'range': None,
'default': None,
'value': None}

## ◆ max_gua_temperature

dict optoICC.registers.icc_registers.LensCompensation.max_gua_temperature

Initial value:
= {'id': self.sys_id << 8 | 0x13, 'type': float, 'unit': None, 'range': None,
'default': None,
'value': None}

## ◆ name

optoICC.registers.icc_registers.LensCompensation.name = self.__class__.__name__